# Class CIM_OrgUnit
extends CIM_OrganizationalEntity

The OrgUnit class is used to represent a sub-unit of an organization such a division or department. The class is defined so as to incorporate commonly-used LDAP attributes to permit implementations to easily derive this information from LDAP-accessible directories. This class's properties are a subset of a related class, OtherOrgUnitInformation, which defines all the group properties and in array form for directory compatibility.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_OrganizationalEntity
|
+--CIM_OrgUnit

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

The OrgUnit class is used to represent a sub-unit of an organization such a division or department. The class is defined so as to incorporate commonly-used LDAP attributes to permit implementations to easily derive this information from LDAP-accessible directories. This class's properties are a subset of a related class, OtherOrgUnitInformation, which defines all the group properties and in array form for directory compatibility.

UMLPackagePath | string | CIM::User::Org
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
BusinessCategory | string |
Description | string | This property describes the kind of business performed by an organizational unit.
MaxLen | uint32 | 128
CreationClassName | string |
Description | string | CreationClassName indicates the name of the class or the subclass used in the creation of an instance. When used with the other key properties of this class, this property allows all instances of this class and its subclasses to be uniquely identified.
Key | boolean | true
MaxLen | uint32 | 256
FacsimileTelephoneNumber | string |
Description | string | The organizational unit's facsimile telephone number.
LocalityName | string |
Description | string | This property contains the name of a locality, such as a city, county or other geographic region.
Name | string |
Description | string | The Name property defines the label by which the object is known. In the case of an LDAP-derived instance, the Name property value may be set to the distinguished name of the LDAP-accessed object instance.
Key | boolean | true
MaxLen | uint32 | 1024
OU | string |
Description | string | The name of the organizational unit.
Required | boolean | true
PostalCode | string |
Description | string | The PostalCode property specifies the postal code of the organizational unit. If this value is present it will be part of the object's postal address.
MaxLen | uint32 | 40
StateOrProvince | string |
Description | string | The State or Province name property specifies a state or province.
TelephoneNumber | string |
Description | string | The TelephoneNumber property specifies a telephone number of the organizational unit, e.g. + 44 582 10101).
MaxLen | uint32 | 32
PostalAddress | string[] |
Description | string | The PostalAddress property values specify the address information required for the physical delivery of postal messages by the postal authority to the organizational unit.

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_ManagedElement
InstanceID | string | CIM_ManagedElement

## Class Methods